// smtpView.h : interface of the CSmtpView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SMTPVIEW_H__A0D4A066_65DE_11D2_9816_9523BDBAF506__INCLUDED_)
#define AFX_SMTPVIEW_H__A0D4A066_65DE_11D2_9816_9523BDBAF506__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CSmtpView : public CEditView
{
protected: // create from serialization only
	CSmtpView();
	DECLARE_DYNCREATE(CSmtpView)

// Attributes
public:
	CSmtpDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSmtpView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSmtpView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	CFont m_Font;
	//{{AFX_MSG(CSmtpView)
	afx_msg void OnEditAll();
	afx_msg void OnPreferencesFont();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in smtpView.cpp
inline CSmtpDoc* CSmtpView::GetDocument()
   { return (CSmtpDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SMTPVIEW_H__A0D4A066_65DE_11D2_9816_9523BDBAF506__INCLUDED_)
